## toolchain-source 3.0.4-1woody1

=== debian/changelog ===
toolchain-source (3.0.4-1woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Moved insecure temporary files into a secure temporary directory
    [bin/tpkg-install-libc, CAN-2005-0159]

 -- Martin Schulze <joey@infodrom.org>  Sun, 13 Feb 2005 12:58:38 +0100

toolchain-source (3.0.4-1) unstable; urgency=low

  * Updated gcc to 3.0.4
  * Patch tpkg-install-libc to work with alpha and ia64
  * Excluding libgcc_s from dh_shlibdeps
  * Fixed removal of manpages

 -- Hakan Ardo <hakan@debian.org>  Mon, 11 Mar 2002 15:11:57 +0100

toolchain-source (3.0.3-3) unstable; urgency=low

  * Added tpkg-install-libc script and added description on how to use
    it
  * No longer adds -linux to target
  * Created binutils pkg now Build-Depends on bzip2
  * Excluded some common man pages from generated gcc pkgs (closes: #131190)

 -- Hakan Ardo <hakan@debian.org>  Sat,  9 Feb 2002 15:33:48 +0100

toolchain-source (3.0.3-2) unstable; urgency=low

  * Template no long an archive in src package
  * Created packages now uses tar tjf and Build-Depends on tar >=
    1.13.18 (Bug #128533)
  * Now Recommends the Build-Depends of created packages
  * Added manpages to the scripts
  * tpkg-update now works for binutils as well
  * Doc fixes by David Kimdon <dwhedon@instant802.com> (Bug#128834)

 -- Hakan Ardo <hakan@debian.org>  Sat, 12 Jan 2002 14:03:22 +0100

toolchain-source (3.0.3-1) unstable; urgency=low

  * Updated gcc to 3.0.3ds3
  * Updated binutils to 2.11.92.0.12.3
  * Now uses bz2 archives instead of gz
  * Added links without version number to gcc and binutils archives
  * Added tpkg-make and tpkg-update scripts

 -- Hakan Ardo <hakan@debian.org>  Tue,  8 Jan 2002 17:03:10 +0100

toolchain-source (3.0.0-2) unstable; urgency=low

  * Applied patch from Colin Watson <cjwatson@flatline.org.uk> fixing
    quite some typoes (Bug #107085).

 -- Hakan Ardo <hakan@debian.org>  Tue,  7 Aug 2001 19:17:33 +0200

toolchain-source (3.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Hakan Ardo <hakan@debian.org>  Thu, 26 Jul 2001 10:25:02 +0200

Local variables:
mode: debian-changelog
End:
