=== debian/control ===
Source: toolchain-source
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: toolchain-source
Depends: dpkg-awk, dpkg-cross
Recommends: m4, autoconf (>= 2.13), libtool, gawk, dejagnu (>= 1.4), bzip2, gperf (>= 2.7-3), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 2.0.50), tar (>= 1.13.18), binutils (>= 2.9.5.0.12), gcc (>= 2.95.2-1), doxygen, sharutils
Architecture: all
Description: The GNU binutils and gcc source code
 This is the GNU toolchain source code that can be used to produce the
 GNU compilers, assembler, linker, and binary utilities. It is used by
 the different cross-compiler packages so that this source code does not
 need to be duplicated in all of them. You might also use this package
 to compile your own version of the toolchain if you need some special
 compile-time options applied.
 .
 This package also contains two scripts, tpkg-make and tpkg-update, to
 automatically create and update crosscompiler-packages for any target
 architecture supported upstream. They are described in 
 /usr/share/doc/toolchain-source/README.
