=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3
DST=debian/toolchain-source/usr/src/toolchain/


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#/usr/bin/docbook-to-man debian/toolchain-source.sgml > toolchain-source.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/toolchain-source.
	cp -ra *.tar.bz2 debian/patches $(DST)/
	chmod +x $(DST)/patches/gcc/*.dpatch
	cd $(DST) && ln -s gcc*.tar.bz2 gcc.tar.bz2
	cd $(DST) && ln -s binutils*.tar.bz2 binutils.tar.bz2

	install -m755 bin/tpkg-make debian/toolchain-source/usr/bin
	install -m755 bin/tpkg-update debian/toolchain-source/usr/bin
	install -m755 bin/tpkg-install-libc debian/toolchain-source/usr/bin
	install -m644 README debian/toolchain-source/usr/share/doc/toolchain-source

	# Create template archive
	-rm `find binutils-TARGET gcc-TARGET -name \*~`
	tar czf $(DST)/template.tgz binutils-TARGET gcc-TARGET

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman bin/*.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
