## toolchain-source 3.3-3

=== debian/changelog ===
toolchain-source (3.3-3) unstable; urgency=low

  * Started automate update process
  * Updated gcc to 1:3.3.3ds6-6
  * Updated binutils to 2.14.90.0.7-6
  * Updated gdb to 6.1-2
  * i386, ia32, i586 and i686 be added as aliases for tpkg-install-libc
    (closes: #243854)
  * Florian Hatat <mininet@wanadoo.fr> fixed some typos 
    (closes: #244457)

 -- Hakan Ardo <hakan@debian.org>  Sat, 15 May 2004 17:17:29 +0200

toolchain-source (3.3-2) unstable; urgency=low

  * dpkg-cross-temporary-patched now actually included (closes: #242326,#242625)
  * tpkg-update now produces an error message if pkg is too old to be
    automatically updated (closes: #242118)

 -- Hakan Ardo <hakan@debian.org>  Tue,  6 Apr 2004 17:16:28 +0200

toolchain-source (3.3-1) unstable; urgency=low

  * Update binutils to 2.14.90.0.7
  * Binutils package now dpatch based (closes: #238521)
  * Updated gcc to 3.3.3
  * Now recommends autoconf2.13 and automake1.4
  * Applied pacth from John Zaitseff <J.Zaitseff@zap.org.au>
    (closes: #222562, #222219)
      + Adds linux-kernel-headers to default libs
      + This patch downloads all packages to a user-defined
        location, by default /tmp/tpkg-install-libc.  This makes
        it easier to clean up the temporary directory :-)
  * Now includes a patched version of dpkg-cross with the patches from
    bugs #222168 and #229241 apllied (closes: #219362)
  * tpkg-install-libc now have more restrictive patternmatching on the
    arch (closes: #205088, #223994)
  * toolchain-source-gdb now recomends libncurses5-dev (closes: #205233)
  * Updated manpage to reflect chancges (closes: #219355)
  * Applied patch from Peter Chubb <peter@chubb.wattle.id.au> fixing bug
    when multiple packages are matched (closes: #219357)
  * Removed error message when toolchain-source-gdb not installed
    (closes: #224003)
  * Updaded gdb to 6.0

 -- Hakan Ardo <hakan@debian.org>  Fri,  2 Apr 2004 17:26:26 +0200

toolchain-source (3.2-8) unstable; urgency=low

  * Binutils updated to 2.14.90.0.4 (closes: #197700,#191483,#191170)
  * No longer strips libs as we have no good way of determining which
    strip to use on which file (closes: #189052, #190438)
  * Corrected typos (closes: #188759)
  * Improved clean target (closes: #188761)

 -- Hakan Ardo <hakan@debian.org>  Wed, 25 Jun 2003 20:31:47 +0200

toolchain-source (3.2-7) unstable; urgency=low

  * All libgcc and libstdc++ now striped by correct target specific
    strip. This makes gcc for alpha, arm, ia64, m68k, mips, mipsel, 
    powerpc, s390, avr and sparc actually produce binaries.
  * Added README.newlib (closes: #174653)
  * Added newlib link (closes: #174649)
  * Updated version of W. Borgert's howto
  * It's now possible to specify which libs tpkg-install-libc shall
    install by setting the envvar LIBSET

 -- Hakan Ardo <hakan@debian.org>  Wed, 12 Mar 2003 09:50:16 +0100

toolchain-source (3.2-6) unstable; urgency=low

  * Updated binutils to 2.13.90.0.18 (closes: #171887)
  * Updated gcc to 3.2.3.cvs20030221
  * Updated gdb to 5.3
  * Now depends on wget (closes:  #177746)
  * Fixed manpage type (closes: #178119)
  * /usr/doc/... links no longer generated
  * Binutils, gcc and gdb now compiles for arm, powerpc, ia64, hppa,
    mips, sparc, mipsel, s390, alpha, avr (that is all debian
    architectures!). (closes: #155340, #165466, #168356, #168869, #176165,
    #181906)
  * Binutils and gcc compiles for m68k, while gdb does not as the
    m68k-linux target is broken, use m68k-elf instead.
  * Applied patch from W. Borgert. <debacle@debian.org> to tpkg-install-libc:
      + Environment var TPKG_SERVER specifies which server to download from
      + Optional second parameter specifying which libs to install
        overriding default libc
  * Included debacle's HOWTO

 -- Hakan Ardo <hakan@debian.org>  Thu, 27 Feb 2003 10:56:14 +0100

toolchain-source (3.2-3) unstable; urgency=low

  * Now includes the correct set of gdb patches (closes: #166970)
  * toolchain-source-gdb now recommends libreadline4-dev
  * Updated Binutils to 2.13.90.0.10
  * Now applies binutils patches aswell
  * Add AVR patch: Eliminate use of _PC_ in pc relative insns.

 -- Hakan Ardo <hakan@debian.org>  Tue, 12 Nov 2002 17:13:18 +0100

toolchain-source (3.2-2) unstable; urgency=low

  * Updated binutils to 2.13.90.0.4
  * Updated gdb to 5.2.cvs20020818
  * Relaxed dependency on native pkg and added README.debian describing
    the case (closes: #158580, #164642)
  * Fix to tpkg-install-libc by polz@aufbix.org to handle new cyclic
    dependency (closes: #162743)
  * gcc: gcov man page now install correctly
  * gcc: target specific libs now stripped

 -- Hakan Ardo <hakan@debian.org>  Thu, 17 Oct 2002 11:50:36 +0200

toolchain-source (3.2-1) unstable; urgency=low

  * gcc updated to 3.2
  * binutils updated to 2.13

 -- Hakan Ardo <hakan@debian.org>  Wed, 16 Oct 2002 14:01:27 +0200

toolchain-source (3.1.1-1) unstable; urgency=low

  * G++ includes now installed correctly (closes: #153035)
  * Now depends on m4 (closes: #155120)
  * Now depends on devscripts (closes: #153142)
  * Updated gcc to 3.1.1

 -- Hakan Ardo <hakan@debian.org>  Fri,  2 Aug 2002 15:58:17 +0200

toolchain-source (3.1-3) unstable; urgency=low

  * Added workaround to compile avr on 64bit machines
  * gdb package only build if toolchain-source-gdb installed
    (closes: #152156)
  * Improved toolchain-source-gdb description (closes: #149521)
  * No longer strips target libs (closes: #152313)
  * g++ includes now set to /usr/$(TARGET)/include/g++ 
    (closes: #152312)

 -- Hakan Ardo <hakan@debian.org>  Wed, 10 Jul 2002 12:05:47 +0200

toolchain-source (3.1-2) unstable; urgency=low

  * Fixed arm-tune.dpatch which messed up linux-elf.h (closes: #150292)
  * share/locale added to tpkg-gcc-rm-common-files
  * Added -Xlibstdc++ to dh_shlibdeps call (closes: #151282)
  * Added includedir=... to gcc rules (closes: #150647)
  * sh_strip return code now ignored

