=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: devel
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
+Build-Depends-Indep: debhelper (>= 4.0.2)
 Standards-Version: 3.5.2
 
 Package: toolchain-source
-Depends: dpkg-awk, dpkg-cross
-Recommends: m4, autoconf (>= 2.13), libtool, gawk, dejagnu (>= 1.4), bzip2, gperf (>= 2.7-3), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 2.0.50), tar (>= 1.13.18), binutils (>= 2.9.5.0.12), gcc (>= 2.95.2-1), doxygen, sharutils
+Depends: dpkg-awk, dpkg-cross, m4, devscripts, wget
+Recommends: autoconf2.13, automake1.4, libtool, gawk, dejagnu (>= 1.4), bzip2, gperf (>= 2.7-3), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 2.0.50), tar (>= 1.13.18), binutils (>= 2.9.5.0.12), gcc (>= 2.95.2-1), doxygen, sharutils, dpatch
+Suggests: gcc-3.2, binutils (>=2.13.90.0.4)
 Architecture: all
 Description: The GNU binutils and gcc source code
  This is the GNU toolchain source code that can be used to produce the
@@ -21,3 +22,31 @@
  automatically create and update crosscompiler-packages for any target
  architecture supported upstream. They are described in 
  /usr/share/doc/toolchain-source/README.
+
+Package: toolchain-source-gdb
+Depends: toolchain-source (>= ${Source-Version})
+Recommends: autoconf, libtool, libreadline4-dev (>= 4.2a-1), libncurses5-dev, bison, gettext, debhelper (>= 4.1.46)
+Architecture: all
+Description: The GNU gdb source code
+ This is the GNU debugger gdb source code.
+ .
+ This package is only useful if you want to compile gdb yourself and not
+ use the precompiled version available for native debugging. This might
+ be the case if you are for example developping for a non native
+ platform or if you need some specific build time options.
+ .
+ This package requires toolchain-source to build the packaged source code.
+
+Package: toolchain-source-newlib
+Depends: toolchain-source (>= ${Source-Version})
+Architecture: all
+Description: The newlib source code
+ Newlib is a C library intended for use on embedded systems. It is a 
+ conglomeration of several library parts, all under free software licenses 
+ that make them easily usable on embedded products.
+ .
+ This package contains the sourcecode of newlib and can be compiled for a 
+ wide array of processors. Newlib will usually work on any architecture with 
+ the addition of a few low-level routines.
+ .
+ This package requires toolchain-source to build the packaged source code.
