=== debian/rules ===
--- 
+++ 
@@ -24,13 +24,20 @@
 	# Add here commands to compile the package.
 	#$(MAKE)
 	#/usr/bin/docbook-to-man debian/toolchain-source.sgml > toolchain-source.1
+	# Create template archive
+	-rm `find binutils-TARGET gcc-TARGET gdb-TARGET -name \*~`
+	tar czf template.tgz binutils-TARGET gcc-TARGET gdb-TARGET
+
+	# Make sure we have correct permissions
+	chmod 755 bin/*
+	chmod 644 bin/*.1
 
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp configure-stamp template.tgz a.out log
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
@@ -42,21 +49,19 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
+	dh_install
 
 	# Add here commands to install the package into debian/toolchain-source.
-	cp -ra *.tar.bz2 debian/patches $(DST)/
 	chmod +x $(DST)/patches/gcc/*.dpatch
+	chmod +x $(DST)/patches/binutils/*.dpatch
 	cd $(DST) && ln -s gcc*.tar.bz2 gcc.tar.bz2
 	cd $(DST) && ln -s binutils*.tar.bz2 binutils.tar.bz2
-
-	install -m755 bin/tpkg-make debian/toolchain-source/usr/bin
-	install -m755 bin/tpkg-update debian/toolchain-source/usr/bin
-	install -m755 bin/tpkg-install-libc debian/toolchain-source/usr/bin
-	install -m644 README debian/toolchain-source/usr/share/doc/toolchain-source
-
-	# Create template archive
-	-rm `find binutils-TARGET gcc-TARGET -name \*~`
-	tar czf $(DST)/template.tgz binutils-TARGET gcc-TARGET
+	cd debian/toolchain-source-gdb/usr/src/toolchain/ && \
+		ln -s gdb*.tar.bz2 gdb.tar.bz2
+	cd debian/toolchain-source-newlib/usr/src/toolchain/ && \
+		ln -s newlib*.tar.bz2 newlib.tar.bz2
+	-rm HOWTO/*~
+	cp -ra HOWTO debian/toolchain-source/usr/share/doc/toolchain-source
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -67,7 +72,7 @@
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf	
-	dh_installdocs
+	dh_installdocs -p toolchain-source -n
 #	dh_installexamples
 #	dh_installmenu
 #	dh_installlogrotate
@@ -76,10 +81,10 @@
 #	dh_installmime
 #	dh_installinit
 #	dh_installcron
-	dh_installman bin/*.1
+	dh_installman
 #	dh_installinfo
 #	dh_undocumented
-	dh_installchangelogs 
+	dh_installchangelogs -p toolchain-source
 	dh_link
 #	dh_strip
 	dh_compress
