## toolchain-source 3.4-5

=== debian/changelog ===
toolchain-source (3.4-5) unstable; urgency=high

  * Insecure temporary files fixed by using mktemp [CAN-2005-0159]

 -- Hakan Ardo <hakan@debian.org>  Sun, 13 Feb 2005 13:15:52 +0100

toolchain-source (3.4-4) unstable; urgency=low

  * tpkg-install-libc no longer fails for arches with default libset
    (closes: #287996)
  * Added libc6-sparcv9 and libc6-sparcv9b to installed sparc libs
  * Maintainer field now set correctly in gcc pkg (closes: #269867)
  * now supports newlibc again

 -- Hakan Ardo <hakan@debian.org>  Thu,  6 Jan 2005 17:17:16 +0100

toolchain-source (3.4-3) unstable; urgency=low

  * Added a tpkg-install script which downloads, compiles and installs 
    the entire toolchain (libc, binutils, gcc and gdb) whit a single 
    command.
  * gcc package now generated from the native gcc source package
    (closes: #267449, #267473, #253608, #269867)
  * Nikita V. Youshchenko pacth to binutils 2.15-5 from bug #231707 included
  * Updated binutils to 2.15-5
  * Updated gcc to 3.4.3-6 (closes: #286080)
  * tpkg-install-libc now installs sparc 64bit libs aswell
    (closes: #245731, #270116)
  * tpkg-install-libc will now create links in /usr from the debian arch
    name to the arch name requested (closes: #191489)

 -- Hakan Ardo <hakan@debian.org>  Tue, 28 Dec 2004 10:43:31 +0100

toolchain-source (3.4-2) unstable; urgency=low

  * Removed mig from recomendations and changed tetex-in to tetex-bin
    (closes: #265944)

 -- Hakan Ardo <hakan@debian.org>  Tue, 24 Aug 2004 11:03:08 +0200

toolchain-source (3.4-1) unstable; urgency=low

  * Updated gcc to 3.4.1ds1-5 (closes: #263113, #262260, #259241, #252866, #253296)
  * Updated binutils to 2.15-1
  * Updated gdb to 6.1-3
  * Now escaped - in manpages (closes: #252841)
  * Applied patch from Petr Vandrovec <vandrove@vc.cvut.cz> adding
    support for targets containing _ (i.e. x86_64) (closes: #253180)
  * Made libdir target specifc (closes:  #261698)
  * tpkg-make now gives error message if target not fully specified
    (closes: #252848)
  * dpkg-cross-temporary-patched removed
  * g++ now built by default (closes: #242716, #143290)
  * Updated newlib to 1.12.0 (closes: #190705)
  * Newlib-support now works for target arm-thumb-elf (closes: #249422)

 -- Hakan Ardo <hakan@debian.org>  Wed, 11 Aug 2004 12:31:03 +0200
