=== debian/control ===
Source: gcc-3.4
Section: devel
Priority: optional
Maintainer: Debian GCC maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Gerhard Tonn <gt@debian.org>
Standards-Version: 3.6.1
Build-Depends: libc6.1-dev (>= 2.3.2.ds1-16) [alpha ia64] | libc0.3-dev (>= 2.3.2.ds1-16) | libc0.1-dev (>= 2.3.2.ds1-16) | libc12-dev (>= 2.3.2.ds1-16) | libc6-dev (>= 2.3.2.ds1-16), libc6-dev-sparc64 [sparc], libc6-dev-s390x [s390], amd64-libs-dev [i386], ia32-libs-dev [amd64], libunwind7-dev (>= 0.98.3-3) [ia64], libatomic-ops-dev [ia64], m4, autoconf2.13, autoconf, automake1.4, automake1.7, libtool, autotools-dev, gawk, dejagnu (>= 1.4.3) [!hurd-i386 !kfreebsd-gnu !knetbsd-gnu], expect (>= 5.38.0) [!hurd-i386 !kfreebsd-gnu !knetbsd-gnu], bzip2, binutils (>= 2.15-5) | binutils-multiarch (>= 2.15-5), binutils-hppa64 [hppa], debhelper (>= 4.1), gperf (>= 2.7-3), bison (>= 1:1.875a-1) | bison (<< 1:1.50), flex, gettext, texinfo (>= 4.3), zlib1g-dev, libgc-dev [!avr !kfreebsd-gnu !knetbsd-gnu], xlibs-dev, gnat-3.3 [!arm !m68k !m32r !hurd-i386 !kfreebsd-gnu !knetbsd-gnu !netbsd-elf-gnu] | gnat-3.4 [!arm !m68k !m32r !hurd-i386 !kfreebsd-gnu !knetbsd-gnu !netbsd-elf-gnu] | gnat [i386 powerpc sparc], libncurses5-dev [!netbsd-elf-gnu], libgmp3-dev, tetex-bin [!netbsd-elf-gnu], locales [!kfreebsd-gnu !knetbsd-gnu !netbsd-elf-gnu !hurd-i386], procps [!hurd-i386 !kfreebsd-gnu !knetbsd-gnu], help2man [!netbsd-elf-gnu], sharutils, libgtk2.0-dev (>= 2.4.4-2) [!mips !mipsel !m32r !hurd-i386 !kfreebsd-gnu !knetbsd-gnu !netbsd-elf-gnu], libart-2.0-dev [!mips !mipsel !m32r !hurd-i386 !kfreebsd-gnu !knetbsd-gnu !netbsd-elf-gnu], g++-3.3 [!amd64], g77-3.3 [!amd64], gobjc-3.3 [!amd64], realpath (>= 1.9.12)
Build-Depends-Indep: doxygen (>= 1.3.9.1)

Package: gcc-3.4-base
Architecture: any
Section: devel
Priority: optional
Description: The GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1
Architecture: any
Section: libs
Priority: required
Depends: ${shlibs:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc2
Architecture: any
Section: libs
Priority: optional
Depends: ${shlibs:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib64gcc1
Architecture: any
Section: libs
Priority: optional
Depends: ${shlibs:Depends}
Conflicts: libgcc1 (<= 1:3.3-0pre9)
Description: GCC support library (64bit)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib32gcc1
Architecture: any
Section: libs
Priority: optional
Depends: ia32-libs (>= 0.7)
Description: GCC support library (ia32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: gcc-3.4
Architecture: any
Section: devel
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6), libgcc1 (>= 1:3.4.3-6), ${shlibs:Depends}, cpp-3.4 (>= 3.4.3-6), cpp-3.4 (<< 3.4.5), binutils (>= 2.15-5)
Recommends: libc6-dev (>= 2.3.2.ds1-16)
Conflicts: gcc-3.2 (<= 1:3.2.3-0pre8)
Suggests: gcc-3.4-doc (>= 3.4.3-6), amd64-libs-dev
Provides: c-compiler
Description: The GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 ABIs changed between gcc-3.3 and gcc-3.4 on some architectures (hppa, m68k,
 mips, mipsel, sparc). Please read /usr/share/doc/gcc-3.4/README.Debian
 for more details.

Package: gcc-3.4-hppa64
Architecture: hppa
Section: devel
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6), gcc-3.4-base (<< 3.4.5), libc6-dev (>= 2.3.2.ds1-12), ${shlibs:Depends}
Conflicts: gcc-3.3-hppa64 (<= 1:3.3.4-5), gcc-3.5-hppa64 (<= 3.5-0pre1)
Description: The GNU C compiler (cross compiler for hppa64)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.

Package: cpp-3.4
Architecture: any
Section: interpreters
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6), gcc-3.4-base (<< 3.4.5), ${shlibs:Depends}
Description: The GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.

Package: cpp-3.4-doc
Architecture: all
Section: doc
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6)
Replaces: cpp (<= 1:2.93.12)
Description: Documentation for the GNU C preprocessor (cpp)
 Documentation for the GNU C preprocessor in info format.

Package: g++-3.4
Architecture: any
Section: devel
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6), ${shlibs:Depends}, gcc-3.4 (>= 3.4.3-6), gcc-3.4 (<< 3.4.5), libstdc++6-dev (>= 3.4.3-6)
Replaces: gcc (<= 2.7.2.3-3)
Provides: c++-compiler
Suggests: gcc-3.4-doc (>= 3.4.3-6)
Description: The GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 ABIs changed between gcc-3.3 and gcc-3.4 on some architectures (hppa, m68k,
 mips, mipsel, sparc). Please read /usr/share/doc/gcc-3.4/README.Debian
 for more details. Do not mix code compiled with g++-3.3 and g++-3.4.

Package: protoize
Architecture: any
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6), ${shlibs:Depends}, gcc-3.4 (>= 3.4.3-6), gcc-3.4 (<< 3.4.5)
Description: Create/remove ANSI prototypes from C code
 "protoize" can be used to add prototypes to a program, thus converting
 the program to ANSI C in one respect.  The companion program "unprotoize"
 does the reverse: it removes argument types from any prototypes
 that are found.

Package: gobjc-3.4
Architecture: any
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6), ${shlibs:Depends}, libobjc1 (>= 1:3.3.4-4), gcc-3.4 (>= 3.4.3-6), gcc-3.4 (<< 3.4.5)
Suggests: gcc-3.4-doc (>= 3.4.3-6)
Provides: objc-compiler
Description: The GNU Objective-C compiler
 This is the GNU Objective-C compiler, which compiles
 Objective-C on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: libobjc1
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6), ${shlibs:Depends}
Description: Runtime library for GNU Objective-C applications
 Library needed for GNU ObjC applications linked against the shared library.

Package: lib64objc1
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6), ${shlibs:Depends}
Description: Runtime library for GNU Objective-C applications (64bit)
 Library needed for GNU ObjC applications linked against the shared library.

Package: g77-3.4
Architecture: any
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6), libg2c0-dev (>= 1:3.3.4-4), ${shlibs:Depends}, gcc-3.4 (>= 3.4.3-6), gcc-3.4 (<< 3.4.5)
Provides: fortran77-compiler
Suggests: g77-3.4-doc
Conflicts: g77-2.95 (<= 1:2.95.4-19), g77-3.0 (<= 1:3.0.4-16), g77-3.2 (<= 1:3.2.3-9), g77-3.3 (<= 1:3.3.4-3)
Description: The GNU Fortran 77 compiler
 This is the GNU g77 Fortran compiler, which compiles
 Fortran 77 on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: g77-3.4-doc
Architecture: all
Section: doc
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6)
Replaces: g77 (<= 1:2.91.58-3)
Description: Documentation for the GNU Fortran compiler (g77)
 Documentation for the GNU Fortran 77 compiler in info format.

Package: libg2c0
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6), ${shlibs:Depends}
Description: Runtime library for GNU Fortran 77 applications
 Library needed for GNU Fortran 77 applications linked against the
 shared library.

Package: libg2c0-dev
Section: libdevel
Architecture: any
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6), libg2c0 (>= 1:3.4.3-6), ${shlibs:Depends}
Conflicts: g77-2.95 (<= 1:2.95.4-19), g77-3.0 (<= 1:3.0.4-16), g77-3.2 (<= 1:3.2.3-9), g77-3.3 (<= 1:3.3.3-0pre3)
Description: GNU Fortran 77 library development
 Headers and static libraries for g2c.

Package: lib64g2c0
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6), ${shlibs:Depends}
Description: Runtime library for GNU Fortran 77 applications (64bit)
 Library needed for GNU Fortran 77 applications linked against the
 shared library.

Package: gcj-3.4
Architecture: any
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6), ${shlibs:Depends}, libgcj5-common (>= 3.4.3-6), java-common, g++-3.4 (>= 3.4.3-6), g++-3.4 (<< 3.4.5)
Recommends: fastjar, gij-3.4 (>= 3.4.3-6), libgcj5-dev (>= 3.4.3-6)
Provides: java-compiler
Suggests: libgcj5-awt (>= 3.4.3-6)
Description: The GNU compiler for Java(TM)
 GCJ is a front end to the GCC compiler which can natively compile both
 Java(tm) source and bytecode files. The compiler can also generate class
 files.

Package: gij-3.4
Priority: optional
Architecture: any
Depends: gcc-3.4-base (>= 3.4.3-6), libgcj5 (>= 3.4.3-6), ${shlibs:Depends}
Suggests: fastjar, gcj-3.4 (>= 3.4.3-6), libgcj-awt5 (>= 3.4.3-6)
Provides: java-virtual-machine, java1-runtime
Description: The GNU Java bytecode interpreter
 GIJ is not limited to interpreting bytecode. It includes a class loader which
 can dynamically load shared objects, so it is possible to give it the name
 of a class which has been compiled and put into a shared library on the
 class path.

Package: libgcj-common
Section: libs
Architecture: all
Priority: optional
Depends: gcc-3.4-base (>= 3.4.3-6)
Conflicts: classpath (<= 0.04-4), libgcj3 (<< 1:3.2-0pre2)
Description: Java runtime library (common files)
 This package contains files shared by classpath and libgcj libraries.

Package: libgcj5
Section: libs
Architecture: any
Priority: optional
Depends: libgcj-common, ${shlibs:Depends}
Recommends: libgcj5-common (>= 3.4.3-6)
Description: Java runtime library for use with gcj
 This is the runtime that goes along with the gcj front end to
 gcc. libgcj includes parts of the Java Class Libraries, plus glue to
 connect the libraries to the compiler and the underlying OS.

Package: libgcj5-common
Section: libs
Architecture: all
Priority: optional
Depends: libgcj5
Conflicts: libgcj5 (<< 3.4.0-1)
Replaces: libgcj5 (<< 3.4.0-1)
Description: Java runtime library for use with gcj (jar files)
 This is the jar file that goes along with the gcj front end to gcc.

Package: libgcj5-awt
Section: libs
Architecture: any
Priority: optional
Depends: libgcj5 (>= 3.4.3-6), ${shlibs:Depends}
Conflicts: libgcj5 (<< 3.4.0-2), libgcj-awt5
Replaces: libgcj5 (<< 3.4.0-2), libgcj-awt5
Description: AWT peer runtime libraries for use with gcj
 These are runtime libraries holding the AWT peer implementations
 for libgcj (currently only the GTK based peer library).

Package: lib64gcj5
Section: libs
Architecture: any
Priority: optional
Depends: libgcj-common, ${shlibs:Depends}
Description: Java runtime library for use with gcj (64bit)
 This is the runtime that goes along with the gcj front end to
 gcc. libgcj includes parts of the Java Class Libraries, plus glue to
 connect the libraries to the compiler and the underlying OS.

Package: lib64gcj5-awt
Section: libs
Architecture: any
Priority: optional
Depends: libgcj5 (>= 3.4.3-6), ${shlibs:Depends}
Conflicts: lib64gcj5 (<< 3.4.0-2), lib64gcj-awt5
Replaces: lib64gcj5 (<< 3.4.0-2), lib64gcj-awt5
Description: AWT peer runtime libraries for use with gcj (64bit)
 These are runtime libraries holding the AWT peer implementations
 for libgcj (currently only the GTK based peer library).

Package: libgcj5-dev
Section: libdevel
Architecture: any
