=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	#/usr/bin/docbook-to-man debian/toolchain-source.sgml > toolchain-source.1
 	# Create template archive
 	-rm `find binutils-TARGET gcc-TARGET gdb-TARGET -name \*~`
-	tar czf template.tgz binutils-TARGET gcc-TARGET gdb-TARGET
+	tar czf template.tgz binutils-TARGET gdb-TARGET
 
 	# Make sure we have correct permissions
 	chmod 755 bin/*
@@ -62,6 +62,7 @@
 		ln -s newlib*.tar.bz2 newlib.tar.bz2
 	-rm HOWTO/*~
 	cp -ra HOWTO debian/toolchain-source/usr/share/doc/toolchain-source
+
 
 # Build architecture-independent files here.
 binary-indep: build install
