=== debian/watch ===
version=2
ftp://gcc.gnu.org/pub/gcc/releases/gcc-(3\.4[\d\.]*)	3.4.1	uupdate
